Subject: bug#33768: closed (Re: bug#33768: guix 0.16.0-4.60b0402 fails tests on aarch64)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 19 Dec 2018 21:11:02 +0000

Your bug report

#33768: guix 0.16.0-4.60b0402 fails tests on aarch64

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33768: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33768
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33768: guix 0.16.0-4.60b0402 fails tests on aarch64
From: Ludovic Courtès <[email-masked]>
To: Vagrant Cascadian <[email-masked]>
Cc: [email-masked], Mark H Weaver <[email-masked]>
Date: Wed, 19 Dec 2018 22:10:07 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Vagrant Cascadian <[email-masked]> skribis:

> On 2018-12-19, Ludovic Courtès wrote:
>> Mark H Weaver <[email-masked]> skribis:
>>
>>> Vagrant Cascadian <[email-masked]> writes:
>>>
>>>> On 2018-12-17, Efraim Flashner wrote:
>>>>> On Sun, Dec 16, 2018 at 09:12:08PM +0100, Danny Milosavljevic wrote:
>>>>>> Should be fixed on master.  Can you confirm?
>>>>>
>>>>> Vagrant confirmed on IRC that it is fixed on master.
>>>>
>>>> I think that was a different bug.
>>>>
>>>> As of 2119cd3a350cb5544418a0e8ac6c7fb6dcbf0a13 it still wasn't fixed; I
>>>> haven't checked more recently.
>>>
>>> If I'm not mistaken, although the bug is fixed on our 'master' branch,
>>> the problem is that our 'guix' package still uses an older commit from
>>> before the bug was fixed.  Now we need to update our 'guix' package.
>>> See also <https://bugs.gnu.org/33754>.
>>
>> I’ve done it a few hours ago.  Please close the bug if we’re all set!
>
> It built for me on aarch64-linux as of
> af8c90e86230e1bae93b5ba9b6f77a76f302e203.

Awesome, closing!

Ludo’.

Subject: guix 0.16.0-4.60b0402 fails tests on aarch64
From: Vagrant Cascadian <[email-masked]>
To: [email-masked]
Date: Sun, 16 Dec 2018 13:49:34 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I've been unable to successfully build guix on aarch64 for a while, as
it fails several tests. This prevents "guix system reconfigure" from
working. It also fails with "guix build guix" as well as trying to build
from a local git checkout.

FAIL: tests/graph.scm
FAIL: tests/guix-package.sh
FAIL: tests/graph
FAIL: tests/guix-package

More details in the attached build log.

live well,
  vagrant